# Class Configuration#getProperty

Configuration

- Defined in: configuration.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Configuration#getProperty(successCallback, errorCallback, options) Gets the property of platform using key.

## Class Detail

Configuration#getProperty(successCallback, errorCallback, options)
Gets the property of platform using key. This property can be either platform specific or user set value.

    // Javascript code
    function getProperty () {
      var options = '{"keys":["alias"]}';

      function successCb(cbObject) {
         console.log("cbObject : " + JSON.stringify(cbObject));
         var parsedString = JSON.parse(cbObject);

         for(var key in parsedString) {
            var value = parsedString[key];
            console.log(key + ": " + value);
         }
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var configuration = new Configuration();
      configuration.getProperty(successCb, failureCb, options);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options
  string in JSON. It should have "keys" string in JSON which has an array of keys for the value. For example, '{"keys":["alias","key2"]}' .

  Key | Description | Format | Read/Write | Example
  --- | --- | --- | --- | ---
  alias | Display alias name | String | read/write | display_1

Since:
  1.0
Returns:
  {Object} String in JSON. For example, '{"alias":"display_1"}'.